Doomsday Engine - Bug #2166

Chat doesn't work when pressing "t" in unstable builds 2.0.0.2025
2016-07-18 14:45 - eunbolt

Status: Closed Start date: 2016-07-18
Priority: High % Done: 100%
Assignee: skyjake

Category: Regression

Target version:

Description

chat doesn't work when pressing "t" to chat.

it will let you type but when you press enter it does not get sent.

Though brining down the console and typing either "chat" or "say" works, e.g. "chat this message will be visible
visible"

say this will also be

| was using in ubuntu 16.04 64bit
teamonster was using windows 10 64bit

Associated revisions

Revision 2929ccc3 - 2016-07-27 09:14 - skyjake
Fixed|Multiplayer|All Games: Chat messages not displayed

This commit fixes sloppy text string handling in the libcommon
ChatWidget and the "chat" console command.

Fixes #2166

History

#1 - 2016-07-26 20:42 - skyjake

- Subject changed from chat doesn't work when pressing "t" in unstable builds 2.0.0.2025 to Chat doesn't work when pressing "t" in unstable builds
2.0.0.2025

- Category changed from Defect to Regression
- Status changed from New to In Progress
- Assignee set to skyjake

- Priority changed from Normal to High

Investigating...

#2 - 2016-07-26 20:42 - skyjake
- Tags set to Multiplayer, Chat

- Target version set to 49

#3 - 2016-07-26 21:33 - skyjake
- % Done changed from 0 to 20

#4 - 2016-07-27 09:51 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 20 to 100

Applied in changeset github|2929ccc32ca680024bf0282a0f531843376cd5d2.

#5 - 2016-07-29 20:56 - skyjake

- Status changed from Resolved to Closed

#6 - 2017-02-25 12:02 - skyjake
https://tracker.dengine.net/projects/deng/repository/revisions/2929ccc32ca680024bf0282a0f531843376cd5d2

- Target version deleted (49)
